Community
Showing results for 
Search instead for 
Do you mean 
Reply

Unable to launch ACT after running Microsoft updates [Aditional Information]

Tuned Listener
Posts: 58
Country: United Kingdom

Unable to launch ACT after running Microsoft updates [Aditional Information]

Hi I just wanted to add to this.

The item you should uninstall is listed in control panels as 'Microsoft .NET 2.0 Service Pack 1'. This is the update that is causing the problem. You should remove it and reinstall 'Microsoft .NET 2.0' available from the link below:

 

http://www.microsoft.com/downloads/details.aspx?FamilyID=0856EACB-4362-4B0D-8EDD-AAB15C5E04F5&displa...

 


If you have recently installed Microsoft updates, you may receive an error when launching ACT!: "ACT has encountered an error and needs to close"

To resolve this issue, you will need to remove Microsoft .Net 2.0 and reinstall from your ACT! installation source.
For more information and steps to resolve the issue,  please follow the instructions in the following kb article:
Message Edited by AJones on 04-17-2008 11:13 AM
Platinum Elite Contributor
Posts: 14,384
Country: Australia

Re: Unable to launch ACT after running Microsoft updates [Aditional Information]

Tuned Listener
Posts: 58
Country: United Kingdom

Re: Unable to launch ACT after running Microsoft updates [Aditional Information]

Hi Mike,

I was simply offering information to the rest of the board. I notice the article suggests uninstall .net and reinstall, but being more specific it is 'Microsoft >NET 2.0 Service Pack 1' that is currently causing the majority of the problems..

 

Regards,

Cesc

Platinum Elite Contributor
Posts: 14,384
Country: Australia

Re: Unable to launch ACT after running Microsoft updates [Aditional Information]

Tuned Listener
Posts: 58
Country: United Kingdom

Re: Unable to launch ACT after running Microsoft updates [Aditional Information]

Well, I have encounted errors with versions 8, 9, & 10 with the recent .net update.

 Yes, my issues are resolved..

 

10.0.0.237

10.0.1.199

10.0.2.191

 

can all have problems due to the .net service pack 1

Platinum Elite Contributor
Posts: 14,384
Country: Australia

Re: Unable to launch ACT after running Microsoft updates [Aditional Information]

8 (and 7) shouldn't use .Net 2.0... I don't think there was an update to 1.1 that they use.

 

I don't think I had an issue with 10.02 after .Net 2.0 sp1... wondering if this affected many users?

Tuned Listener
Posts: 58
Country: United Kingdom

Re: Unable to launch ACT after running Microsoft updates [Aditional Information]

Sorry my mistake,

I didn't mean to include v8. Indeed you are right previous to 9 used 1.1

 

If you haven't experienced the problem maybe the issues im experiencing could be UK version only?

(I'm from the UK)

 

But I have seen the following:

 

* Damage to .net causing all 3 builds of 10 not to open with error

- "Error loading file or assembly.."

 

* and you might also encounter (definately caused by 2.0 sp1)

- "The application has encountered and error..."

- when closing the program and when using the layout designer

 

regards,

Cesc

Platinum Elite Contributor
Posts: 14,384
Country: Australia

Re: Unable to launch ACT after running Microsoft updates [Aditional Information]

You're an ACT! reseller in the UK?

 

Was it consistant - ie always causes an error on every system with .Net 2.0 sp1?

 

If not always, be interesting to work out why... also explain why others might not see it.

 

Was this an Optional update or Automatic? I'm on a Vista machine now and no .Net 2.0 sp1 (although, I think it is installed if you install Vista .Net 3.5, which I haven't)

Tuned Listener
Posts: 58
Country: United Kingdom

Re: Unable to launch ACT after running Microsoft updates [Aditional Information]

[ Edited ]

Hi again Mike,

Its not consistent, so that explains why some people might not see the issue.

 

I would would be confident in saying that if someone comes to you saying act is throwing the

"Has encountered an error.." message when using the layout designer or when closing ACT! it is .net 2.0 sp1

 

I haven't experienced these problems at all on Vista.

 

.net 2.0 Services Pack 1 is an Automatic Update on Windows XP but not on Vista

I guess they got the "built in" .net in vista right first time :-)

 

No, I'm not a reseller

 

Regards,
Cesc

Message Edited by CrazyCesc4 on 05-23-2008 03:52 PM
Platinum Elite Contributor
Posts: 14,384
Country: Australia

Re: Unable to launch ACT after running Microsoft updates [Aditional Information]

Seems to be covered in this KB - http://tinyurl.com/4owkmz

 

But looks like an issue with SQL and the .Net update?

 

Also, they don't suggest preventing the update installing again... wonder why?